RevKeenDocs

Get subscription by ID

Retrieve detailed information about a specific subscription


Related endpoints

  • POST /subscriptions — Create a new subscription
  • GET /subscriptions — List subscriptions
  • PATCH /subscriptions/{id} — Update subscription details
  • DELETE /subscriptions/{id} — Delete subscription
  • POST /subscriptions/{id}/change-plan — Change subscription plan
  • POST /subscriptions/{id}/change-quantity — Change subscription quantity
  • POST /subscriptions/{id}/preview-renewal — Preview subscription renewal
  • POST /subscriptions/{id}/pause — Pause subscription

Common errors

  • 401 unauthenticated — missing, malformed, or revoked API key.
  • 404 resource_missing — the referenced resource does not exist or is not visible to your key.
GET
/subscriptions/{id}
x-api-key<token>

Your RevKeen API key (powered by Unkey). Get it from Dashboard > Settings > API Keys. Use rk_sandbox_* for test mode and rk_live_* for production.

In: header

Path Parameters

id*string

Subscription UUID

Formatuuid

Response Body

application/json

application/json

application/json

Stuck on an error response? Ask the RevKeen assistant to explain it.
curl "https://api.revkeen.com/v2/subscriptions/00000000-0000-0000-0000-000000000000" \
  -H "x-api-key: $REVKEEN_API_KEY"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
    "price_id": "5eff5d89-979e-4e4f-aa76-6cbbbf11362c",
    "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",
    "status": "string",
    "quantity": 0,
    "amount_minor": 0,
    "currency": "string",
    "billing_interval": "string",
    "current_period_start": "2019-08-24T14:15:22Z",
    "current_period_end": "2019-08-24T14:15:22Z",
    "trial_end": "2019-08-24T14:15:22Z",
    "canceled_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "dunning": {
      "is_in_dunning": true,
      "phase": 0,
      "phase_label": "string",
      "phase_severity": "info",
      "retry_count": 0,
      "total_possible_retries": 0,
      "next_retry_at": "2019-08-24T14:15:22Z",
      "days_in_dunning": 0,
      "access_restricted": true
    }
  }
}
{
  "error": "Unauthorized"
}
{
  "error": "Not found"
}